### Method

# Gtk Assistant insert_page

#### Declaration [src]

    int
    gtk_assistant_insert_page (
      GtkAssistant* assistant,
      GtkWidget* page,
      int position
    )

#### Description [src]

Inserts a page in the `assistant` at a given position.

#### Parameters

`page` | `GtkWidget`
| A `GtkWidget`.
| The data is owned by the caller of the function.
`position` | `int`
| The index (starting at 0) at which to insert the page, or -1 to append the page to the `assistant`.

#### Return value

Returns: | `int`
| The index (starting from 0) of the inserted page.